{% extends 'base.html' %}
{% load static %}
{% load bootstrap4 %}

{% block content %}

    <div class="hero-wrap hero-bread" style="background-image: url({% static 'images/bg_1.jpg' %});">
        <div class="container">
            <div class="row no-gutters slider-text align-items-center justify-content-center">
                <div class="col-md-9 ftco-animate text-center">
                    <h1 class="mb-0 bread">Регистрация</h1>
                </div>
            </div>
        </div>
    </div>

    <section class="ftco-section">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-8 ftco-animate">
                    <form method="POST" action="{% url 'signup' %}" class="billing-form">
                        {% csrf_token %}
                        <h3 class="mb-4 billing-heading">Регистрация</h3>
                        {% if error %}
                            <div class="error-message">{{ error }}</div>
                        {% endif %}
                        <div class="row align-items-end">
                            <div class="col-md-12">
                                {% bootstrap_field form.email %}
                            </div>
                            <div class="col-md-6">
                                {% bootstrap_field form.password1 %}
                            </div>
                            <div class="col-md-6">
                                {% bootstrap_field form.password2 %}
                            </div>
                            <div class="col-md-12">
                                {% bootstrap_field form.name %}
                            </div>
                            <div class="col-md-12">
                                {% bootstrap_field form.address_delivery %}
                            </div>
                            <div class="col-md-12">
                                {% bootstrap_field form.phone_number %}
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <input type="submit" value="Регистрация" class="btn btn-primary py-3 px-4 m-auto">
                                </div>
                            </div>
                        </div>
                    </form>
                    <br>
                    {# <a href="{% url 'social:begin' 'facebook' %}">Войти с Facebook</a> #}
                    <br>
                    {# <a href="{% url 'social:begin' 'google-oauth2' %}">Войти с Google</a> #}
                </div>
            </div>
        </div>
    </section>
{% endblock %}
